@echo off&setlocal
cd "C:\Program Files\Microsoft Games\Flight Simulator 9\Scenery\World\scenery"
set HolderFolder="C:\Program Files\Microsoft Games\Flight Simulator 9\Scenery\World\scenery\Weekplans\"
if not exist %Holderfolder% goto :NOFOLDER
::echo %holderfolder% exists
::pause
move *week*.bgl %Holderfolder%
call :GetDateAnyLocale yy mm dd
::echo Getdate any locale gave us %yy% %mm% %dd%
call :DateToWeek yy mm dd yn cw dw
::echo/Week %cw%
if %cw% LSS 0 set cw=1
if %cw% GTR 52 set cw=1
::echo/Converted to Week %cw%
cd %holderfolder%
set Targetfiles=*week%cw%.bgl
::echo %targetfiles%
::pause
::echo So would be copying these files
::dir %targetfiles%
::echo using command "copy  %targetfiles% ..\"
copy  %targetfiles% ..\
pause
goto :EOF
:NOFOLDER
echo Weekly Plans Subfolder not found! Aborting!
goto :EOF

:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:DateToWeek yy mm dd yn cw dw
::
:: Func: Returns an ISO 8601 Week date from a calendar date.
::       For NT4/2K/XP.
::
:: Args: %1 year component to be converted, 2 or 4 digits (by val)
::       %2 month component to be converted, leading zero ok (by val)
::       %3 day of month to be converted, leading zero ok (by val)
::       %4 var to receive year, 4 digits (by ref)
::       %5 var to receive calendar week, 2 digits, 01 to 53 (by ref)
::       %6 var to receive day of week, 1 digit, 1 to 7 (by ref)
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::echo date to week sees %yy% %mm% %dd%
::pause
setlocal ENABLEEXTENSIONS
if 1%yy% LSS 200 if 1%yy% LSS 170 (set yy=20%yy%) else (set yy=19%yy%)
set /a dd=100%dd%%%100,mm=100%mm%%%100
set /a z=14-mm,z/=12,y=yy+4800-z,m=mm+12*z-3,Jd=153*m+2
set /a Jd=Jd/5+dd+y*365+y/4-y/100+y/400-32045
set /a y=yy+4798,Jp=y*365+y/4-y/100+y/400-31738,t=Jp+3,Jp=t-t%%7
set /a y=yy+4799,Jt=y*365+y/4-y/100+y/400-31738,t=Jt+3,Jt=t-t%%7
set /a y=yy+4800,Jn=y*365+y/4-y/100+y/400-31738,t=Jn+3,Jn=t-t%%7
set /a Jr=%Jp%,yn=yy-1,yn+=Jd/Jt,yn+=Jd/Jn
if %Jd% GEQ %Jn% (set /a Jr=%Jn%) else (if %Jd% GEQ %Jt% set /a Jr=%Jt%)
set /a diff=Jd-Jr,cw=diff/7+1,wd=diff%%7,wd+=1
if %cw% LSS 10 set cw=0%cw%
endlocal&set %4=%yn%&set %5=%cw%&set %6=%wd%&goto :EOF
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:GetDateAnyLocale yy mm dd
@echo off&SETLOCAL

:: This will return date into environment vars
:: Works on any NT/2K/XP machine independent of regional date settings

FOR /f "tokens=1-4 delims=/-. " %%G IN ('date /t') DO (call :s_fixdate %%G %%H %%I %%J)
goto :s_print_the_date
   
:s_fixdate
if "%1:~0,1%" GTR "9" shift
FOR /f "skip=1 tokens=2-4 delims=(-)" %%G IN ('echo.^|date') DO (
    set %%G=%1&set %%H=%2&set %%I=%3)
goto :eof

:s_print_the_date
echo Month:[%mm%]  Day:[%dd%]  Year:[%yy%]
ENDLOCAL&SET mm=%mm%&SET dd=%dd%&SET yy=%yy%&goto :EOF